CON

  _clkmode = xtal1 + pll16x                                               'Standard clock mode * crystal frequency = 80 MHz
  _xinfreq = 5_000_000
  
VAR
  Long Time
  Long Tenth
  Long Second
  Long Minute
  Long Hour
  
  Long UselessExtraLong 'Why do I need this???????????
   
  byte CogUsed
   
OBJ
  Serial        : "FullDuplexSerialPlus"
  
PUB Main
  Serial.startPST(1000000)                                                                              'Start Serial
  CogUsed := CogNew (StartClock(Hour,Minute,Second,Tenth), @Time)                                       'Start Cog to Run clock 
  repeat
    IF Hour == 10                                                                                     
      cogstop(CogUsed)
      Serial.CursorHome
      Serial.str(String ("Done With Clock"))
      Serial.ClearEndOfLine
    Else
      Serial.CursorHome
      if hour < 10
        Serial.str(String ("0"))
      Else
        Serial.str(String (":"))
      serial.dec(Hour)
      if Minute < 10
        Serial.str(String (":0"))
      else
        Serial.str(String (":"))
      serial.dec(Minute)
      if Second < 10
        Serial.str(String (":0"))
      else
        Serial.str(String (":")) 
      serial.dec(Second)
      if Tenth < 10
        Serial.str(String (":0"))
      else
        Serial.str(String (":")) 
      serial.dec(Tenth)
      Serial.ClearEndOfLine 
    waitcnt (clkfreq / 100 + cnt)
    
PUB StartClock (H,M,S,T)
  Tenth   := 0
  Second  := 0
  Minute  := 0
  Hour    := 0
  repeat until Hour == 10
    repeat until Minute == 60
      repeat until Second == 60
        repeat until Tenth  == 100
         waitcnt (clkfreq / 100 + cnt)
         Tenth := (Tenth + 1)
        Second := (Second + 1)
        Tenth := 0
      Minute := (Minute + 1)
      Second := 0
    Hour := (Hour + 1)
    Minute := 0
    Second := 0
  